package com.example.bomocloud

import retrofit2.Retrofit
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory
import retrofit2.converter.gson.GsonConverterFactory

class AwsS3 {
    companion object {
        const val HOST = "https://bomo-story-dev.s3.ap-southeast-1.amazonaws.com/"
    }

    val uploadFileService = buildUploadFileService()

    private fun buildUploadFileService(): UploadFileService =
            getRetrofit(HOST + UploadFileService.BASE_URL).create(UploadFileService::class.java)

    private fun getRetrofit(baseUrl: String): Retrofit =
            Retrofit.Builder()
                    .addCallAdapterFactory(RxJava2CallAdapterFactory.create())
                    .addConverterFactory(GsonConverterFactory.create())
                    .baseUrl(baseUrl)
                    .build()
}