package com.example.bomocloud

import okhttp3.HttpUrl
import okhttp3.Request
import okhttp3.Response
import okhttp3.Route

class TokenAuthenticator(private val boMoCloud: BoMoCloud) : okhttp3.Authenticator {

    companion object {
        const val GRANT_TYPE = "refresh_token"
        const val ACCESS_TOKEN = "access_token"
    }

    override fun authenticate(route: Route?, response: Response?): Request? {
        boMoCloud.refreshToken?.let {
            var accessToken: String? = null
            var httpUrl: HttpUrl? = null

            boMoCloud.oAuthService.refreshToken(GRANT_TYPE, it)
                    .subscribe({
                        accessToken = it.accessToken
                        boMoCloud.listener.forEach { listener ->
                            listener.onTokenRefreshed(it.accessToken, it.refreshToken)
                        }
                    }, {
                        it.printStackTrace()
                    })

            accessToken?.let {
                httpUrl = response?.request()?.url()?.newBuilder()?.setQueryParameter(ACCESS_TOKEN, it)?.build()
            }

            httpUrl?.let {
                return response?.request()?.newBuilder()?.url(it)?.build()
            }
        }

        return null
    }
}