package com.example.bomocloud

import io.reactivex.Observable
import okhttp3.MultipartBody
import okhttp3.RequestBody
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.*

interface UploadFileService {
    companion object {
        const val BASE_URL = "private/"

        const val ALGORITHM = "X-Amz-Algorithm"
        const val CREDENTIAL = "X-Amz-Credential"
        const val DATE = "X-Amz-Date"
        const val EXPIRES = "X-Amz-Expires"
        const val SIGNED_HEADERS = "X-Amz-SignedHeaders"
        const val SIGNATURE = "X-Amz-Signature"
    }

    @PUT("avators/{imageName}")
    fun uploadAvator(
            @Path("imageName") path: String,
            @Query(ALGORITHM) algorithm: String,
            @Query(CREDENTIAL) credential: String,
            @Query(DATE) date: String,
            @Query(EXPIRES) expires: String,
            @Query(SIGNED_HEADERS) signedHeaders: String,
            @Query(SIGNATURE) signature: String,
            @Body body: RequestBody
    ): Observable<ResponseBody>
}