package com.example.bomocloud.auth

import io.reactivex.Observable
import retrofit2.http.POST
import retrofit2.http.Query

interface AuthService {

    companion object {
        const val BASE_URL = "api/v1/auth/"
    }

    @POST("sign_in")
    fun signIn(
            @Query("email") email: String,
            @Query("password") password: String
    ): Observable<SignInData>

    @POST("sign_up")
    fun signUp(
            @Query("email") email: String,
            @Query("password") password: String,
            @Query("name") name: String
    ): Observable<SignUpData>

    @POST("through_omniauth")
    fun throughOmniAuth(
            @Query("provider") provider: String,
            @Query("omniauth_token") omniAuthToken: String,
            @Query("omniauth_secret") omniAuthSecret: String?,
            @Query("email") email: String?,
            @Query("password") password: String?
    ): Observable<ThroughOmniAuthData>

    @POST("reset_password")
    fun resetPassword(
            @Query("email") email: String
    ): Observable<ResetPasswordData>

    @POST("resend_confirmation")
    fun resendConfirmation(
            @Query("email") email: String,
            @Query("password") password: String
    ): Observable<ResendConfirmationData>
}