package com.example.bomocloud.home

import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Query

interface HomeService {

    companion object {
        const val BASE_URL = "api/v1/home/"
    }

    @GET("me")
    fun getMe(
            @Query("access_token") accessToken: String

    ): Observable<MeData>

    @GET("avator_upload_url")
    fun getAvatorUploadUrl(
            @Query("access_token") accessToken: String
    ): Observable<AvatorUploadUrlData>

    @POST("play_receipt")
    fun postPlayReceipt(
            @Query("access_token") accessToken: String,
            @Query("package_name") packageName: String,
            @Query("product_id") subscriptionId: String,
            @Query("purchase_token") token: String
    ): Observable<ReceiptData>
}