package com.example.bomocloud.theme

import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.Path
import retrofit2.http.Query

interface ThemeService {

    companion object {
        const val BASE_URL = "api/v1/"
    }

    @GET("themes")
    fun getAllThemes(
    ): Observable<AllThemeData>

    @GET("themes_for_user")
    fun getUserThemes(
            @Query("access_token") accessToken: String
    ): Observable<UserThemeData>

    @GET("themes/{theme_id}")
    fun getThemeDownloadData(
            @Path("theme_id") themeId: Int,
            @Query("access_token") accessToken: String
    ): Observable<ThemeDownloadData>

    @GET("themes/{theme_id}/preview")
    fun getThemePreviewUrl(
            @Path("theme_id") themeId: Int,
            @Query("access_token") accessToken: String
    ): Observable<ThemePreviewUrlData>
}