package com.example.bomocloud.video

import io.reactivex.Observable
import okhttp3.MultipartBody
import retrofit2.http.*

interface VideoService {

    companion object {
        const val BASE_URL = "api/v1/videos/"
    }

    @GET("list_video")
    fun listVideo(
            @Query("page_token") pageToken: String? = null
    ): Observable<ListVideoData>

    @Multipart
    @POST("upload_video")
    fun uploadVideo(
            @Query("author") author: String,
            @Query("title") title: String,
            @Query("category") category: Int,
            @Part filePart: MultipartBody.Part
    ): Observable<UploadVideoData>
}